Subject: RE: Two document stages: Proposed and Full

From: <[email-masked]>
Date: Wed, 11 Jun 2003 10:41:58 -0500

The document quality does matter. Running code is obviously much more
valuable than having a document that is well written and is clear but
is not sufficient by itself. 
While well written I-Ds help implementers, its only running code that
catches the bugs and implementation issues.

One of the problems with the current process is that it is okay for an
I-D to be advanced to PS simply by having "rough consensus" without
any "running code". One suggestion is that I-Ds that are intended for
standards track be assigned Experimental status unless "running code"
exists. This is another vote for raising the bar which has been
dicussed at length. 

-Basavaraj

>Brian,
>
>If we accept that the core value is ".. and running code" the document and 
>how it is written does not really matter. Peer review is naturally very 
>useful for the final spec, but do we need it before we have implementation 
>experience? The problem is the crap sitting in PS and being happy with 
>this. (Which from a marketing perspective is enough, getting and market 
>products with RFC numbers)
>
>Marcus
>
>--On Mittwoch, 11. Juni 2003 11:07 +0200 Brian E Carpenter 
><[email-masked]> wrote:
>
>> Problem related comment:
>>
>> We have ample evidence that WGs don't consistently produce
>> documents that meet even today's criteria for PS. I am strongly
>> against giving WGs the ability to approve PSs without enforced peer
>> review that is specifically independent of the WG and specifically
>> consider IETF-wide and Internet-wide issues. This proposal would
>> only make the problem worse than today, by allowing WGs to ignore
>> peer review.
>>
>>     Brian
>>